Page MenuHomePhabricator

upgrade: move `print_affected_revlogs()` to UpgradeOperation class
ClosedPublic

Authored by pulkit on Dec 14 2020, 4:55 AM.

Details

Summary

Part of refactor where we make things more arranged and integrated into single
UpgradeOperation class.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Dec 14 2020, 4:55 AM

Review ping for this series.

marmoute accepted this revision.Dec 22 2020, 3:31 AM
pulkit added a comment.Jan 5 2021, 2:34 AM

Review ping for this series.

Motive of the series: Right now the upgrade operation blindly upgrades everything even if does not need to. For example, features like persistent-nodemap, share-safe etc. does not need to touch filelogs. The optimizations will make certain upgrade operations instantaneous on large repositories. This series refactors upgrade code to implement partial upgrades depending on what should be upgraded.

mharbison72 accepted this revision.Jan 5 2021, 10:34 AM
This revision is now accepted and ready to land.Jan 5 2021, 10:34 AM